Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class SynchroScheduler

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.SynchroScheduler

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PythonCommandCenter

    public abstract class SynchroScheduler

extends AbstractAgent

This class is the non threaded version of a Scheduler. Don't forget to make it implementing the ReferenceableAgent interface if you plan to schedule it with activators.

Since:
  MadKit 3.1
Version:
  1.0 05/09/01
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Constructor Summary
`SynchroScheduler()`

Method Summary
`protected void` | `addActivator(Activator a)`
`protected void` | `addActivator(Activator a, java.lang.Object accessCard)`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`protected Activator[]` | `getActivators()`
`protected void` | `removeActivator(Activator a)`
`protected void` | `removeAllActivators()`

Methods inherited from class madkit.kernel.AbstractAgent
`activate, broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchroScheduler

    public SynchroScheduler()

Method Detail

### addActivator

    protected final void addActivator(Activator a)

### addActivator

    protected final void addActivator(Activator a,
                                      java.lang.Object accessCard)

### removeActivator

    protected final void removeActivator(Activator a)

### getActivators

    protected final Activator[] getActivators()

### removeAllActivators

    protected final void removeAllActivators()

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.